(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('prismjs'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('@ngx-tiny/code-highlight', ['exports', '@angular/core', 'prismjs', '@angular/common'], factory) :
    (global = global || self, factory((global['ngx-tiny'] = global['ngx-tiny'] || {}, global['ngx-tiny']['code-highlight'] = {}), global.ng.core, global.Prism, global.ng.common));
}(this, (function (exports, core, Prism, common) { 'use strict';

    var NgxCodeHighlightComponent = /** @class */ (function () {
        function NgxCodeHighlightComponent() {
            this.language = 'javascript';
            this.safeHtml = '';
        }
        NgxCodeHighlightComponent.prototype.ngOnInit = function () {
            var html = this.ref.nativeElement.innerHTML
                .replace(/\{ \{/gi, '{{')
                .replace(/\} \}/gi, '}}')
                .replace(/&lt;/gi, '<')
                .replace(/&gt;/gi, '>');
            this.safeHtml = Prism.highlight(html, Prism.languages[this.language]);
        };
        return NgxCodeHighlightComponent;
    }());
    NgxCodeHighlightComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ngx-code-highlight',
                    template: "<div class=\"code-highlight\">\r\n  <pre [className]=\"'language-' + language\" class=\"margin-top\">\r\n    <code [className]=\"'language-' + language\" [innerHTML]=\"safeHtml\"></code>\r\n  </pre>\r\n  <div #code class=\"display-none\" hidden>\r\n    <ng-content></ng-content>\r\n  </div>\r\n</div>",
                    encapsulation: core.ViewEncapsulation.None,
                    preserveWhitespaces: true,
                    changeDetection: core.ChangeDetectionStrategy.Default,
                    styles: [".code-highlight code{display:block;margin:-60px 0 -80px}.code-highlight pre{border-left:5px solid;margin:20px 0;overflow:hidden;padding:0 20px}"]
                },] }
    ];
    NgxCodeHighlightComponent.propDecorators = {
        language: [{ type: core.Input }],
        ref: [{ type: core.ViewChild, args: ['code', { static: true },] }]
    };

    var NgxCodeHighlightModule = /** @class */ (function () {
        function NgxCodeHighlightModule() {
        }
        return NgxCodeHighlightModule;
    }());
    NgxCodeHighlightModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [NgxCodeHighlightComponent],
                    exports: [NgxCodeHighlightComponent]
                },] }
    ];

    /*
     * Public API Surface of ngx-code-highlight
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.NgxCodeHighlightComponent = NgxCodeHighlightComponent;
    exports.NgxCodeHighlightModule = NgxCodeHighlightModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-tiny-code-highlight.umd.js.map
